Subject: Re: bug#12007: 24.1.50; Crash in auto-revert-handler

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Aug 2012 22:24:08 +0300

> Date: Mon, 13 Aug 2012 13:03:33 -0600
> From: Christoph Scholtes <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On 7/25/2012 6:39 AM, Dmitry Antipov wrote:
> > On 07/25/2012 03:34 PM, Christoph Scholtes wrote:
> >
> >> OK. I ran this instance over night and it is still running. Usually
> >> the crash happened after an hour or so.
> >>
> >> Can you apply this patch to the trunk?
> >
> > It's already done at 109201.
> >
> > Dmitry
> 
> With r109584 the crashes have returned:
> 
> assertion failed: buffer->base_buffer->indirections > 0

Perhaps related, the current trunk (revision 109586) segfaults on
startup ("emacs -Q") on GNU/Linux, with the following backtrace:

  #0  0x00007ffff5bc0131 in g_type_check_instance_cast ()
     from /usr/lib/libgobject-2.0.so.0
  #1  0x00000000005d6de6 in xg_mark_data () at gtkutil.c:2173
  #2  0x0000000000692f28 in Fgarbage_collect () at alloc.c:5472
  #3  0x000000000068bd27 in maybe_gc () at lisp.h:3536
  #4  0x00000000006bc2ab in eval_sub (form=23619014) at eval.c:2056
  #5  0x0000000000706a9c in readevalloop (readcharfun=15433282, 
      stream=0x168a720, sourcename=23641873, printflag=0, unibyte=15317634, 
      readfun=15317634, start=15317634, end=15317634) at lread.c:1814
  #6  0x0000000000704998 in Fload (file=23634305, noerror=15317682, 
      nomessage=15317682, nosuffix=15317634, must_suffix=15317634)
      at lread.c:1308
  #7  0x00000000006bf216 in Ffuncall (nargs=4, args=0x7fffffffc358)
      at eval.c:2827
  #8  0x000000000072e4de in exec_byte_code (bytestr=12100273, vector=12100389, 
      maxdepth=20, args_template=15317634, nargs=0, args=0x0) at bytecode.c:898
  #9  0x00000000006c006c in funcall_lambda (fun=12100229, nargs=1, 
      arg_vector=0xb8a325) at eval.c:3043
  #10 0x00000000006bf458 in Ffuncall (nargs=2, args=0x7fffffffc838)
      at eval.c:2860
  #11 0x000000000072e4de in exec_byte_code (bytestr=12099201, vector=12099309, 
      maxdepth=16, args_template=15317634, nargs=0, args=0x0) at bytecode.c:898
  #12 0x00000000006c006c in funcall_lambda (fun=12099133, nargs=2, 
      arg_vector=0xb89eed) at eval.c:3043
  #13 0x00000000006bf458 in Ffuncall (nargs=3, args=0x7fffffffcd18)
      at eval.c:2860
  #14 0x000000000072e4de in exec_byte_code (bytestr=12099633, vector=12099829, 
      maxdepth=16, args_template=15317634, nargs=0, args=0x0) at bytecode.c:898
  #15 0x00000000006c006c in funcall_lambda (fun=12099565, nargs=1, 
      arg_vector=0xb8a0f5) at eval.c:3043
  #16 0x00000000006bf458 in Ffuncall (nargs=2, args=0x7fffffffd1f8)
      at eval.c:2860
  #17 0x000000000072e4de in exec_byte_code (bytestr=12140633, vector=12142301, 
      maxdepth=72, args_template=0, nargs=0, args=0x7fffffffd758)
      at bytecode.c:898
  #18 0x00000000006bfc09 in funcall_lambda (fun=12140581, nargs=0, 
      arg_vector=0x7fffffffd758) at eval.c:2977
  #19 0x00000000006bf458 in Ffuncall (nargs=1, args=0x7fffffffd750)
      at eval.c:2860
  #20 0x000000000072e4de in exec_byte_code (bytestr=12136441, vector=12136893, 
      maxdepth=32, args_template=0, nargs=0, args=0x7fffffffdb90)
      at bytecode.c:898
  #21 0x00000000006bfc09 in funcall_lambda (fun=12136389, nargs=0, 
      arg_vector=0x7fffffffdb90) at eval.c:2977
  #22 0x00000000006bf81f in apply_lambda (fun=12136389, args=15317634)
      at eval.c:2920
  #23 0x00000000006bd037 in eval_sub (form=15547702) at eval.c:2204
  #24 0x00000000006bc15f in Feval (form=15547702, lexical=15317634)
      at eval.c:2021
  #25 0x00000000005e31f3 in top_level_2 () at keyboard.c:1161
  #26 0x00000000006ba27c in internal_condition_case (
      bfun=0x5e31d6 <top_level_2>, handlers=15369330, hfun=0x5e2cb6 <cmd_error>)
      at eval.c:1308
  #27 0x00000000005e322d in top_level_1 (ignore=15317634) at keyboard.c:1169
  #28 0x00000000006b9b39 in internal_catch (tag=15365202, 
      func=0x5e31f5 <top_level_1>, arg=15317634) at eval.c:1065
  #29 0x00000000005e3151 in command_loop () at keyboard.c:1124
  #30 0x00000000005e2502 in recursive_edit_1 () at keyboard.c:752
  #31 0x00000000005e28dd in Frecursive_edit () at keyboard.c:816
  #32 0x00000000005e033f in main (argc=2, argv=0x7fffffffe5c8) at emacs.c:1666

  Lisp Backtrace:
  "load" (0xffffc360)
  0xb8a280 PVEC_COMPILED
  "tty-find-type" (0xffffcd20)
  "tty-run-terminal-initialization" (0xffffd200)
  "command-line" (0xffffd758)
  "normal-top-level" (0xffffdb90)

The file it tries to load is term/xterm.elc.